:root {
    --Black: #1A1A1A;
    --Primary: #C3E519;
    --Silver: #A6A6A6;
    --Gray: #242424;
}

/* Disable body scroll */
body {
    margin: 0;
    height: 100dvh;
    overflow: hidden;
}

/* Background */
html {
    height: 100dvh;
    background-image: repeating-radial-gradient(circle at 0 0, transparent 0, #080808 32px),
        repeating-linear-gradient(#000000, #000000);
    background-color: #080808;
    font-family: "Poppins", sans-serif;
}

.background-image {
    height: 100dvh;
    width: 100%;
    position: absolute;
    z-index: -1;
}

/* UI Button */
.uk-button-primary {
    background-color: var(--Black);
}

.uk-button-primary:hover {
    background-color: var(--Black);
}

.uk-container-xsmall {
    max-width: 430px;
}

/* ===============================
   FAN CARD SCROLL SYSTEM
================================ */

.fancard {
  	margin-top: 30px;
    position: relative;
    height: 90dvh;
    overflow-y: auto;
    background: var(--Gray);
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;
scrollbar-width: none;
}

/* Sticky Cover */
.fancard .cover {
    position: sticky;
    top: 0;
    height: 430px;
    z-index: 1;
}

.fancard .cover img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Overlay Content */
.fancard .content {
    position: relative;
    z-index: 2;
    background: var(--Gray);
    margin-top: 0px;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    min-height: 100%;
    box-shadow: 0 -20px 40px rgba(0, 0, 0, 0.6);
}

/* Header */
.fancard header {
    padding: 20px 24px;
    background: var(--Black);
}

.fancard header .title {
    font-weight: 700;
    color: #fff;
}

.fancard header .artist {
    color: var(--Primary);
}

/* Links */
.fancard .links ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

.fancard .links ul li {
    transition: 0.2s all;
}

.fancard .links ul li:hover {
    background: var(--Primary);
}

.fancard .links ul li a {
    color: #fff;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 25px;
    text-decoration: none;
}

.fancard .links ul li a .title {
    display: flex;
    align-items: center;
    gap: 15px;
}

/* Back Link */
.backtohome {
    color: #fff;
    text-decoration: none;
    padding: 20px;
    font-size: 0.75rem;
    display: inline-block;
}
